import { Component, Input, ViewChild, ChangeDetectorRef } from '@angular/core';
/**
 * NgCodepenComponent
 */
var NgCodepenComponent = /** @class */ (function () {
    function NgCodepenComponent(cdRef) {
        this.cdRef = cdRef;
        this.height = '';
        this.themeId = '';
        this.url = '';
        this.tabs = '';
        this.title = '';
        this._url = 'https://production-assets.codepen.io/assets/embed/ei.js';
    }
    NgCodepenComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.loadDOM(this.myElement);
        this.loadAPI = new Promise(function (resolve) {
            _this.loadScript();
        });
    };
    NgCodepenComponent.prototype.ngAfterViewChecked = function () {
        this.cdRef.detectChanges();
    };
    NgCodepenComponent.prototype.loadDOM = function (el) {
        var node = el.nativeElement;
        var element = document.createElement('p');
        var rawData = this.url.replace('https://codepen.io/', '');
        var slugHash = rawData.split('/pen/')[1];
        var user = rawData.split('/pen/')[0];
        element.setAttribute('data-slug-hash', slugHash);
        element.setAttribute('data-user', user);
        element.setAttribute('data-height', this.height);
        element.setAttribute('data-theme-id', this.themeId);
        element.setAttribute('data-default-tab', this.tabs);
        element.setAttribute('data-pen-title', this.title);
        element.setAttribute('data-embed-version', '2');
        element.setAttribute('class', 'codepen');
        node.appendChild(element);
    };
    NgCodepenComponent.prototype.loadScript = function () {
        var node = document.createElement('script');
        node.src = this._url;
        node.type = 'text/javascript';
        node.async = true;
        node.charset = 'utf-8';
        document.getElementsByTagName('head')[0].appendChild(node);
    };
    NgCodepenComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng-codepen',
                    styles: ["\n\n  "],
                    template: "\n    <div #myElement></div>\n  ",
                },] },
    ];
    /** @nocollapse */
    NgCodepenComponent.ctorParameters = function () { return [
        { type: ChangeDetectorRef, },
    ]; };
    NgCodepenComponent.propDecorators = {
        'myElement': [{ type: ViewChild, args: ['myElement',] },],
        'height': [{ type: Input },],
        'themeId': [{ type: Input },],
        'url': [{ type: Input },],
        'tabs': [{ type: Input },],
        'title': [{ type: Input },],
    };
    return NgCodepenComponent;
}());
export { NgCodepenComponent };
//# sourceMappingURL=ng-codepen.component.js.map